GNU bug report logs - #59285
29.0.50; Setting default font as frame parameter upsets tab-bar display height

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: James Ferguson <james@HIDDEN>; dated Tue, 15 Nov 2022 16:09:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as fixed in versions 29.1. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 59285 <at> debbugs.gnu.org:


Received: (at 59285) by debbugs.gnu.org; 19 Nov 2022 06:03:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 19 01:03:10 2022
Received: from localhost ([127.0.0.1]:38817 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owGwX-0004P6-Tz
	for submit <at> debbugs.gnu.org; Sat, 19 Nov 2022 01:03:10 -0500
Received: from sonic309-22.consmr.mail.ne1.yahoo.com ([66.163.184.148]:44029)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1owGwV-0004OT-H4
 for 59285 <at> debbugs.gnu.org; Sat, 19 Nov 2022 01:03:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668837781; bh=w46WyCZ4vgFngrJWOKvMu2qo0dV0oLmcSuNrGueuOC8=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=czj7zDrK24B1hirPvvC4nNRZdO6yN/hNJJWef02CXZ/+5YlC1cSzW960YvRyz+oMI68Z/a+Ks/sAC9z2MCJKjTXJxmKA8Ggw9By0oNqXIjTQJs2KlRe6oCxLtH9gVPUkj4ZjCMnwS6Ke0QZ4bFxc487C3B+2kcra0z3sRdGuiBQod3XZOYn0ziDlK3QLYVBX+HJrn+//yRQMoOQTi/74gdr6cI6eCcWt9d/fcrvIQLStJMIUyCb9s9AzRvMq6A8ipRljkR5PIxgrs+dmZNHEntj0MHerG14zkC6pOy0HHxNhD8CaaE1JnGH3KrN2ZHS/ZFxebwucQUHmidWoYJWuHA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668837781; bh=jb8bs9KjF3QG2t5bGjWYV2gBmmuHx5CYSTEjBdhejsa=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=Uvbu2759w2bk18n4dMXW9K7g9pGcRu63cLHfnmY2152AcoVB+3b1LuWQE2VQ7YJ9Tn416sexqtwHaQ1VX6+HQGEdtOeSl3R32mBwmKumUtt1UfB0UIBQr2GyAUSYIRluAd1bBP2ysc0AdeTaxIVzh09qS7q/UXgAvSSJAd4XQm0skg/5Ll6r+/tJb8XSxsw8Ez4vFVdXeOK5YrNEtPUkICERMkkJgfMYrFflDpVnP4PLC5zPFXO2MPiw5mQo7NyJz7oupMn30hMWsIGexR1uwNujIIZsQ++4a4Whu9kKnUSbb0/9GhYN2ew3w2tlfBqgMpoqIpC3OWboLueh/6rTzw==
X-YMail-OSG: e3no1Y0VM1kF7NlSjIOXz_RpxWp6Q5lkpo3WdOV2jXmY6fs_8OpwWbmv7rluYKg
 gFLrsd9da8O8FAEh5C_twewg2cEMbauuQy4yldPIxCCW8q9hmt88xaH1s4wengFeIVst2aKw50Hf
 bmoDyJWOQYuD_QeILEBUVLHWmSKxWYTBCxVsKkFTprLdqocaHpcelOP0iO6T.LvQzfjIGFTHK5Q3
 MppuSfgZMGDRLw567Rldv.VUWRgMbPRNZWUce5Uo8hF5OvYE34S.xzm90j3WoLgL4tG.oud24yh6
 E1vtEyyKpH_EkwflT0e.FuOrn9UqHcjuKjlgUkQSx21ozyZgxS64gaDWURLoPP4QkIpdjR6eHgPg
 GLjuiqA57M27yXTXU_I4IDZISMmpQHs.QkOvGY0CUnCdsAdaHVOBmRbLZl98zDk4q_Im8GCQbBLu
 EBqSQ5Bi.5HdY7NFf5BdnQbRiuuiDcRPYtwDlSx_O7nLSn1..KHKUiYsyEqzm4nfSczQ6gtDzKL3
 oAZ2n0_y.DucKCLIKTzX2X6PUqr_.zBFKmeGUpMmml3rqZ604FPlsosdrFv.e8mhCOjrDeHVhnFy
 x5J69VJVtSw2NhV67LIO.ychR.Jofehd7lFyi9ft7Pofu6FCtjLw6RqNhtfw233_4VopvmbXKJ0P
 QbYWaqy9lyNDzWN3.omiWIQJVTmIZMeA06x51yR38i9KAFW7nj5_KVUEQxMKG9KYz9qsJuKA9Pga
 C_tXgFbW_FotAB3Nd67fOm0WsdHTYa1rZyt9qJNYxmwBbUEs5NtR6xZFU.tWJeKpJLiB4YxzwMwR
 DQ8yYBqkYRvFKYO.061cFf8NRPci903sfbxjbIUXZxYhrOtAI.jkOnmc7UCtKCSqp97t3azHzAMh
 xTM3WFUdRVWx5Pe5G1w0Dycft7tDF99fRpJLkySZGLs9ombXXcxQDKHi0m2SdsKYmu2K6l8K2jzC
 y1_2HLRrjt.MhVhu3AchtiveuGFWXTVFuX3biYkh1HS9FMWv.60BvckA2wFy7.C9aGQ1M3JCCGMR
 ykl2wMXA0MSlslRK1GZ8AV3lrh1R9imNjEqk30wbF8IXlq1XT707llwMAGRLxFrBcjOSfGXEwhsK
 82qzmOAgHbPoiyDrFefuBw4Jc5dgVznAAXpWwOXkiba3PvwZOL4wMzLha5MFCn4LIrWYUONxYLdP
 yYnh2Nlgo4CX_l9XdEQPivbhbNuFUw5zfDS45nXJ5nNI9kPLblLvoL017dNv3Utc7qFhdbmpB1AA
 1QviF_dWXpg7jHCxGtE_rK0dokwGHSGAtIhNR1b_mED5JrZUMUan9RFv29yYgUU9uRRACh2qU_hS
 ERxO2S6xRBjWlS9IcP3Wy0et36UCIfpaFK5ZG5MfnELDa1DL3mgKv5uGW0i0Yvv2uMYH1ewSy32W
 wDot0eeoUOSmt.67PSUMoCgKiXWubCfPf2APPyjZ0NYYu.yo02FLQPBBLw91mKjfj12JKPH.Kcp4
 BAZdeORvuLXRwMlx.f4ov889qJjJAkLrXJLzN3naKidhFAUTuG3EkNMLDCKg0MYQsZS14HInN9om
 5Ucv_ijCGbiMLDwMDBPzQygAiRc5v3ZrPyFEV7hxCtJEj7JEH5fdOVugdWs_WeLaoTnS0SepER5T
 y4bUQ4MZ6R_MvmqxdGxSw6fsJz9DqzYyq43bWyk.arqy_Ya4YR8agL4yIc9COOqBAb5ohRcvsKtr
 dgBPcYM6znPc7GdhXRJUFCz5MPgQK5GaCCxLhRBuv.2KuSmAXN3eATiQuRFKFmNNmyxvMNLhomqQ
 5kVNAsVq3qBxwwNYMiv2bYFU0maeVF4jqn2auG7pkROjIG8iZ.gI4tENuVeCQ8AUcuh3lgIa4o0E
 pJdupFZVfLJGW5s0p1yVMYg2y0Z6LqO0YoQpLdvVGwD5vosHybjBGuPG.sJvzZ6KlV6krj4I0LLm
 1GCRcXRTWl9Cl5ypc8NAyb8TfOzn1ulFH8k3NUDCcb8dqxLZzH4tQJ.yxQuJ1eTPDlK0NQM0YdZn
 2G0gW16kyEDmFmqQmndvRe5v7dMhD5.AQwPZHFq9JpeTk2jb8wZRPOOaD8p_3EpFFrXRYoojkpJh
 I1O6ruI9mhu_vAcVMinXqwXvS85I_GHSVm29B25sTSJuWI3KyBnjscGv1iLvt5uscZUL_Tb0roCr
 fkqcoXoKzrZUS2HgbUVbVxxVXRoSu_ls2Eoz_ikmVye2cKUTJSR6liV7na19CgsVYgzbu2AFuaSW
 5UlYY5yysPB.vX0WwEYH.GzAZ8jgXXMhSIgZ9fiU.FzP0i7cmfo7ElmfpOl3L_7wWADTnAg--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Sat, 19 Nov 2022 06:03:01 +0000
Received: by hermes--production-sg3-6c8895b545-25cjq (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID b3a31e26f3295be4b41379fd98b7048e; 
 Sat, 19 Nov 2022 06:02:56 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Gabriel <gabriel376@HIDDEN>
Subject: Re: bug#59285: 29.0.50; Setting default font as frame parameter
 upsets tab-bar display height
In-Reply-To: <87h6yzfuw7.fsf@HIDDEN> (Po Lu's message of "Wed, 16 Nov 2022
 11:19:52 +0800")
References: <CAMtGdSkuTW9zk7ASFiTD-oYunF+C0p4CXzyVXzxe-KwxQHtvVg@HIDDEN>
 <SJ0PR06MB8609845287F27B718718144C8B049@HIDDEN>
 <87h6yzfuw7.fsf@HIDDEN>
Date: Sat, 19 Nov 2022 14:02:49 +0800
Message-ID: <871qpzbhx2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 931
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59285
Cc: 59285 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

> Gabriel <gabriel376@HIDDEN> writes:
>
>> James Ferguson <james@HIDDEN> writes:
>>>
>>> Changing the selected frame 'default face size with "<family>-<size>"
>>> results in a tab bar with a lot of vertical space padding,  It also
>>> doesn't redisplay it properly with redrawing if you move the mouse over
>>> the tab bar, or if you switch tabs.
>>>
>>> As far as I can tell for the life of the frame.  This, I believe, is new since 28.x.
>>>
>>> I see it with `emacs -q`.
>>>
>>> e.g.:
>>>
>>> (tab-bar-mode)
>>> (set-frame-parameter (selected-frame)
>>>                      'font
>>>                      (format "%s-18" (face-attribute 'default :family)))
>>>
>>> Thanks!
>>>
>>
>> Related (and potential duplicated) to bug#59271.
>>
>> ---
>> Gabriel
>
> Indeed.  Garbiel, James, could you please see if the bug has now been
> fixed on master?

Ping! Could you please answer that?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59285; Package emacs. Full text available.

Message received at 59285 <at> debbugs.gnu.org:


Received: (at 59285) by debbugs.gnu.org; 16 Nov 2022 03:20:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 22:20:17 2022
Received: from localhost ([127.0.0.1]:55720 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ov8yH-0005Nj-M8
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 22:20:17 -0500
Received: from sonic308-10.consmr.mail.ne1.yahoo.com ([66.163.187.33]:38160)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ov8yC-0005NN-SI
 for 59285 <at> debbugs.gnu.org; Tue, 15 Nov 2022 22:20:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668568807; bh=YwO1Bz43dwpWGFBbvyFzEtBueCU14C5oSSlWUezQHPI=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=kt2x6KLLFyTy+XYxnzCmmfWG6q2kqs077kf6iHzIoJZ1gfWATe9HMuxQnIidiUUDN/C0FeiTk4tdoRVDtrVYMoCn8uWPeSXm/Bz1OH4koXtuLDW9GRihgVL/LGZevUvB5x0XTDNypgtLypvbUYQDLlgkfV7up4R5GFGiqRfwm6jd/qcVZoXi9LaiqgmiMD/pZc/x1wbAraJqNEqA+jSbmMj+LMYhwgwfmS3UgCH2NH3TG2AsknjkThfuV5Uh3c85Rve+2PGWtXDU8oXpeNzERiPAG0PhISnkltK/obxh68UPdxGhAmpo9vMur0ljkQwxq5ROLnxEV+Y/+tPzlujEwA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668568807; bh=XKL0aBYBgzL/2o1pUcnr4pqQ6MhhkyxUJ6dMJcawOUL=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=Se5DjckQmD8cYWazsdadFX/Tz7fR0gQN4IAd829nnvEdHgDn5xTnexqLdMpo1j+9LvvjrxzLMUv91YZmTQAOlf2hgM0/fcRtTiUBRlmlnH6lxCLq5B9M8E9agOQxeVZRXTB7B0eQQpI274ijh+KjMHu7In3yZpjhUXr4mFWIj3OTUQVg6kNKxh9IwfwTXz2W8gdgmssE7CCIgctXWJnuo2kxfcqZD5CHlMfuqLRNJGLz0oIAQYcSX117RKWUH4uj2PN1ckWJtFLmVo5gxd7NjpZc7n9TV8ebHG0+MYpf4KvLUrVcGPw+dMJxDEmkUK9DPVxZyVuGtKJylgyMGtjbww==
X-YMail-OSG: afMppHIVM1md2x0ylt2cBcDUga8LHQzvi3Va.b4.UWQlIlvPcIUG3WBTcWDK8r1
 h7idBh_lfMa1FSLyAdUoGO8zIPNJVjxosoZJGYGYwky76ThM19W0XhI9wi8Z6VZZXH.N7UaJzRO0
 RUp03NzjlfgXKfn4GeBvKCNPiMnFmp_5C7D_4GpByR.VHZDClh7G.mBlqzNxTqYWivJVPkEYMySX
 SFfvVRshZCoZoi4SOBOsyXvtUImB71BumKmnGKX8sPwFNKgVLaOAQt0AnG1wKPdVyenqD48ANu2f
 4NaW8J5RZZoNcwNPqE_.gUdvLkxjvf5XOEF9NqG3x.hjlyG.5zge6pWuyeuuArPQZbvmsOSXa4Oz
 PC4V0a_9lZDTCMICxVBLPphL0Pq_Ht4WTWJA6YzNPH4O2925mIWMqEYXbFTZGcgB7T83HB9pkIsH
 sKlbLSfWLbhVWQSSnNa4OAZVUqfuB_5OW6EwUTs6A4Xz03usdvgR0P_Zgf.SQZcunfZzCAtmKbFf
 hVY1qBP.hs_k_VHKxQsBg1ABbkBGS_IIeoJhpvc4AXeeS7Q8PP9JR8MkJxjCh8W.lZo3Yly3EdUS
 PutlYDCxf.eHjnAFlSBUi04PA4lLY7AUK3oxZmIpFW1_QR2ANcYTxGqWoL_JERxQYIdrqQgBxmTQ
 PGeL0sHb5ZzcyPiUcXJzYgMvLkGARb7XOXHieKoHFD78CVX13b.5GAMBs71qH.WAXX35XhTSbjzG
 KhTyhpTcTqxOPyrFjx4oLoz8HelT87t4VmCkbE15ovjNazEkrL5C1gSaUbLcmDDpoYxBZYB8PLu5
 YO6Lrlukn84YFYQGeBI.VNw6Mcd685EbLdDy.VF6fvc1EPK21949qgurTCsnnJTS0tQ1Qq5obXN9
 U6MwrH2PqkQ9Lwx8NDyDcc.H1j.7QxBOFTuc5DzEYm4Xw_qrJVRbWrLhIX.WRgUce4EVkH6gMb0h
 H9e.1S_VGiN78f0lM6KrmRxua9EEAxdpJ_ZmHsZpJe0PEoQpT56OZOWFmGAnJnKC.gf7AtxehEi8
 Wer_lHOwcv7c7bBzoeL2ug.I0xNUs.8aJERWDmFLSdAaiL6rzq11Az0UFJNASm.h8cZJXdlRkNp4
 e_JDPi5Om1Vu02ybVqOWeAfsGaflaq5YTu.Y1dBgSz7Et4gKSGCXTNY5Nwj.RS83ksCfJuP1FcQQ
 5aT_olYLFYEVBirEuNRSUBqYV872rJuoWMxZwzhLG6M4tbGxrdVGt5X4wMaMs.LJ4LlHEnXGxd_V
 EwiIb6aek.rl9oLLXtFKGhRZ2oNtPW2J7PqhHkifr2l6IcewYf2ax10M2PG0QPRscfz0Wy6kMD4s
 CmaKkKVOS18BF3R3_mn.MfxL8_UGnNtJBLUzqqJCSu.btRrkgbjXfL_jCIlhd_G3fR76l1Svh89D
 PBobTRKgFlvRv6kPbwt_Wb.SzXoaPD56VA5gV.YqfPTjHm_qn15PKMcWi9dAZjaNarCIZXXbLoqz
 4zJz_KMmqVF1VrpPgIQ3G2YYrgxiIvuWQ0psizwXKGDfIMNbo3uopmMxt36wU_NzzbkWJCBpUrvR
 XcS6Zsj40eOpBMnbJD5edvtDkz.hCER7_.Ahve7CG2A9iqsebZz_r6zB3KzuPmJNkpnv9SLpUrL2
 Y1I5Esn2ctOVf6BXlPqvJ8H5Tkue1gqLnyElTmtZp8eRHepYQVVJZRERfyCA.D6.tW6i9I2pCD89
 qfbErH80fEjz03y2UVP3Dy6wYnJoPkZH6dzX8rLLy0FtlQuV_Ns9vX6fu.5.bSZNV5zlRdW2l4ut
 fxeXZ9h5yu.MSJ.OaRPNwSggIcDeKasbpkcV90rwB_gQJpppVxj5PkBbuXRmM3tR7lLVLim3oZBD
 4PhThQXazcyA4p96zfALZrAzzxGps2OLKUsTnStip9Gda4yLENcBFyfvyMcFo6nGQntPJ5kkrNDJ
 ETu5KCB8BBqbAwJlrH5GDKReVEYMQW28rrurFH2.uXq6LwXX_uyx4T8gDq8MCJkMWYAVd_J.GDU3
 j4l6e08bL1mHBFGzQmQUgWjvfP0vL7qclZSCpB911Iaj0UJfpsX3Q3qowGHIDPSB0U813G0xxMvC
 8T7FzwFZIxarH8sUbFody5PDvZTMf7bI5qXVK.Q3ummW8zkvIfZLbA1XYPbpcBWh5eaL_bc1GUIz
 3yi471bUryorFq5kMsTPhWHN_EoZV2V7_H1pfOAEgbSMBbdOYMt7pxbJrG7zNFnG7yw6Zq3LtXX2
 XdyciHftyfIiU7LvE.LjfZdmUHyEJseZX.cH5e8azWXnq0TtwQuiFAnsGM1lPgNxs9VA-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic308.consmr.mail.ne1.yahoo.com with HTTP; Wed, 16 Nov 2022 03:20:07 +0000
Received: by hermes--production-sg3-6c8895b545-pb7wm (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID cde60881be77802ced52e552b3796c0c; 
 Wed, 16 Nov 2022 03:20:00 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Gabriel <gabriel376@HIDDEN>
Subject: Re: bug#59285: 29.0.50; Setting default font as frame parameter
 upsets tab-bar display height
In-Reply-To: <SJ0PR06MB8609845287F27B718718144C8B049@HIDDEN>
 (Gabriel's message of "Tue, 15 Nov 2022 20:01:58 -0300")
References: <CAMtGdSkuTW9zk7ASFiTD-oYunF+C0p4CXzyVXzxe-KwxQHtvVg@HIDDEN>
 <SJ0PR06MB8609845287F27B718718144C8B049@HIDDEN>
Date: Wed, 16 Nov 2022 11:19:52 +0800
Message-ID: <87h6yzfuw7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 824
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59285
Cc: 59285 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Gabriel <gabriel376@HIDDEN> writes:

> James Ferguson <james@HIDDEN> writes:
>>
>> Changing the selected frame 'default face size with "<family>-<size>"
>> results in a tab bar with a lot of vertical space padding,  It also
>> doesn't redisplay it properly with redrawing if you move the mouse over
>> the tab bar, or if you switch tabs.
>>
>> As far as I can tell for the life of the frame.  This, I believe, is new since 28.x.
>>
>> I see it with `emacs -q`.
>>
>> e.g.:
>>
>> (tab-bar-mode)
>> (set-frame-parameter (selected-frame)
>>                      'font
>>                      (format "%s-18" (face-attribute 'default :family)))
>>
>> Thanks!
>>
>
> Related (and potential duplicated) to bug#59271.
>
> ---
> Gabriel

Indeed.  Garbiel, James, could you please see if the bug has now been
fixed on master?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59285; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Nov 2022 23:02:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 18:02:15 2022
Received: from localhost ([127.0.0.1]:55476 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ov4wZ-0005A0-6V
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 18:02:15 -0500
Received: from lists.gnu.org ([209.51.188.17]:41436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabriel376@HIDDEN>) id 1ov4wX-00059s-GF
 for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 18:02:14 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel376@HIDDEN>)
 id 1ov4wU-0004gm-P4
 for bug-gnu-emacs@HIDDEN; Tue, 15 Nov 2022 18:02:13 -0500
Received: from mail-bn8nam04olkn2070.outbound.protection.outlook.com
 ([40.92.47.70] helo=NAM04-BN8-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel376@HIDDEN>)
 id 1ov4wS-000807-Av
 for bug-gnu-emacs@HIDDEN; Tue, 15 Nov 2022 18:02:10 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=Vh9K5Y9Zk2UUMKbZQQhstm6n9lwUDSG0X3HjLtl2vYRxebi3FzdMXq6mX74fGqFAwBHdpRcpOU9WCuGSeFkD9nc6Z1vJzAeJSBUnQE8aXRmBC4vJQKureZh2kev+YFovrwnSQA/YkClA2Wb/oD/CJ5RB2eXzNB3QQQoC16qW9B9mlMeayWLVBdyVmjiiUzFbGCMeykCS7OgKulA6BSPIIrDRMNtclRoIg1wFxLtwBUpgFmEomYqX4l9huxWIICig0sqDoF+qjPfzbFehXfwvXG/+ydZut1NjYUHihPTyu3x885pbD8RCpPbYxgx64G6aqLuEfTvlaU06XK1swc7qwg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=EWc9nVzoeMZo6hRbDMTBKfjyOPYpY5XZ5vY/Ab5uxm4=;
 b=PCx7e1shmrf2jPf8qzfnnFM3+zyNhS0O7sIa/MG3gH9IRZwf28iozDcVBRo466rKnYFIk2DKlTpboGjYT/2Zr94Af3TtykxvTCDPt3yBVTg92oaT7Xun/N+CDCM4R0i0wUYIiWpqIj9+6WM7NNf+OmGsNtTw+wV1Qeykk9mLDldy14pHKLXWRtOjmtiNHQgTNOazxfFICUGiEWsaLUm15i9xZcI1E0wPQTyIUCnobjrMHlYg1j9sT0Ii66EPQgUvKIIf4nfZ55bEpyGTzaJ8fG8s1mMvoqpur2Dn9Ht+CLQLtaW8w7tlVybtf8y73cTsoQ1SFjSrhIBByd1pPAoaJA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=EWc9nVzoeMZo6hRbDMTBKfjyOPYpY5XZ5vY/Ab5uxm4=;
 b=sQD2GV5ISJwBi/phYv9WJ4fZHjmhqcpDXA4NY2jINZVT9lJyw6kcWw+DiqichggeJqjZRmR8YVO9QfTUVWXmlx9+TG5eTxx+AeVhcr6XZBClSWkVy9oF06nIzBQyAVqEQMZyKtQQ7LFe4rkMXt0GkSGecGUjQkj5w01yupMNb5HqGRVsv+HFJKxm0XV0jp8tTA4f6Zf3BJNqGiuuZ7MvUBeHJex2xZfPoOqJz6oPtV1/N83W/kp4u2w23r8SEPmexZi6vOdmESYysXKlggqwp4H+tvOJtBR8rlQwvczdHObh1HtLuT8TDB8mFV00FAa/9PpLjCvVHdMKoag5PH2Fmg==
Received: from SJ0PR06MB8609.namprd06.prod.outlook.com (2603:10b6:a03:40c::11)
 by SJ0PR06MB8474.namprd06.prod.outlook.com (2603:10b6:a03:392::8)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5834.6; Tue, 15 Nov
 2022 23:02:06 +0000
Received: from SJ0PR06MB8609.namprd06.prod.outlook.com
 ([fe80::33ae:d3a7:24ae:5c6f]) by SJ0PR06MB8609.namprd06.prod.outlook.com
 ([fe80::33ae:d3a7:24ae:5c6f%4]) with mapi id 15.20.5813.011; Tue, 15 Nov 2022
 23:02:05 +0000
From: Gabriel <gabriel376@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#59285: 29.0.50; Setting default font as frame parameter
 upsets tab-bar display height
In-Reply-To: <CAMtGdSkuTW9zk7ASFiTD-oYunF+C0p4CXzyVXzxe-KwxQHtvVg@HIDDEN>
 (James Ferguson's message of "Tue, 15 Nov 2022 11:07:26 -0500")
References: <CAMtGdSkuTW9zk7ASFiTD-oYunF+C0p4CXzyVXzxe-KwxQHtvVg@HIDDEN>
Date: Tue, 15 Nov 2022 20:01:58 -0300
Message-ID: <SJ0PR06MB8609845287F27B718718144C8B049@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
Content-Type: text/plain
X-TMN: [9Wrl0W3wrFgD2BK18lwo06zbkQe7kAXuVzCKU6o0tTWnqHT3eTtyzYzVZpGJZyP+]
X-ClientProxiedBy: CP6P284CA0048.BRAP284.PROD.OUTLOOK.COM
 (2603:10d6:103:1ab::17) To SJ0PR06MB8609.namprd06.prod.outlook.com
 (2603:10b6:a03:40c::11)
X-Microsoft-Original-Message-ID: <87tu2zkejd.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: SJ0PR06MB8609:EE_|SJ0PR06MB8474:EE_
X-MS-Office365-Filtering-Correlation-Id: b9ef2aaa-e796-4490-87a1-08dac75d6a30
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: lBhNwOCqektxOi6BDVTL1HmDSQh2PV3rxhzQwtDNOeZ8LtgvPYx2vM7g+SVuQGgmrZJTru47VUkdEVoUZgDkDZHSUigwxAgpkxAFfYYh0uH9vL86jbY/4+cCjuzmwFoIfBToBxMcz/Xlplx2vbfrtJ+pkvBz6ZuLRJbaHmjj1iKPwSJph3NIn/LwErT4jffn5nSYFYV3GjS6vzUV3hD2c8IDaWn96cbKJ5M94uMa/Fv+wLEI4L+TcrBX3QwLbuBr1tnF1Wb0E0Ps0kbPM0G0KNAsi7XCEHSyTCFr09RzEh08KCvMeqqHU70kU1mAFceYbbqkne/TPyK5dSWgycxLiemxRZ35/z1H6r650ELE1JBPJ7ckqfVt6eQC6bQGnQwcXMCkhMJo8c+nMsMBJ6oOxMVPQ7NMFoAlj2nBHtQCGJmG+hgjQl4kPXwekbO/2UvNXiQf9PVls08a5//CA6PXZX6fXlXDv2fHhXZLi6Hrb69YzggIYpUO7WL3BexooOPLS9czBdPpkIQRcH0TWpJssJy+HeaPYC13nMT8PNP5V04RL0KFTbArJeA6DCJ92i5sf6HWaoQY/xUzgqpONXNI+KfMzxgzG0j8Csd3DlfyXH21rL3JnPqNljQFuTawqdJ5zhvvXsThVkhseXo0BrjpvOrdymXplnJUYfStWUKaGLKacGryOpudG2lLicsRtBF/EeCjm4aSvubLlkOcDinB+BIEOK9gJkRnY1g1V/cZuWI=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?ez8BbV0LQRClhE7EFyC9Pof+UouWRpTZDMWCQd6/f8nZvxzF+nd+eo/zCqbJ?=
 =?us-ascii?Q?LDjcd/rzlLjn3d8dy+PG4P6IbEChYVT6WpKNRpoYxkJlcE5H8lBDBb+F3Jfg?=
 =?us-ascii?Q?cJL+Nx7EhMHUN/D9PSFmySYaws2O1CR/4G1aqp//KKE48EUapRoiipgBw4Sc?=
 =?us-ascii?Q?BNENMosBuK2n/o17eqimf9O+4pyhu8fFfAgQfLB8Lh9+pKLxzfeolBCcrDfI?=
 =?us-ascii?Q?KvBTIf/hS7wXgU0k3kFkxlMDCjs+BJRZ6aaqiPe/s493VL3Fy8g7aTUdgztV?=
 =?us-ascii?Q?kuXDbVwWnVDw/lnaE7tV6eSrkeh89ymhGN5QWZi2AVGac7WaGjDHDDOfZsfM?=
 =?us-ascii?Q?u73BkZDpK2rziViyT6/HvcfS8BM6hesUzR/MbKqJQ2iBE+rMlelK+iM0Cz+X?=
 =?us-ascii?Q?DJeCGlHCD5Q9aaR500C5kytG8Dl8CaqD/fTMmT9ctjh31256JfWdeHvzxYiz?=
 =?us-ascii?Q?zcngLRbgSCzdpw8QiCuwXvHBHRcWQl5uaQpb9WZJzZT911UBwyizeQoI16Vk?=
 =?us-ascii?Q?Cz2FZCygUmFKXlxawmD4kFC85mObc+YNxL/qzQlqaTh19kGO6et4os4Ez3f9?=
 =?us-ascii?Q?Xw3nP3ag5irFXzSgX1rOlTSelVSIkY9LNLYDaO8sEoqBmzIw7UbCsa5vTLKB?=
 =?us-ascii?Q?Dqv7RlW/KIti1P3zX0BOAFXIDAFx8IwMAVTCTS0WSaL0TKfQVE1hdDQUGHw4?=
 =?us-ascii?Q?6n/OHt9i13mA2y8Was8K18u2qzE9gJo7EHruFiUEdvFLb/JNyNkt21tpUn2f?=
 =?us-ascii?Q?kwMzKnJ3Fuq+82KI0yYKndX1J8KjIbekQVxgB85Kh4WJ3Ft7HF2Fs47vsVYI?=
 =?us-ascii?Q?7MQ0Tfuipw7s6B+5fJMddUvgntUH4TGO+EWJ35C6vjnpCy5TfHB5+pexzBTr?=
 =?us-ascii?Q?iGB1B+4GNJq5WyQOJehdCLwDsshVTQnwkxVq+gZMWzMO0kWpNwvk9IrpQ4Qv?=
 =?us-ascii?Q?6rri2NPez5vZSjoA+kVmERrgki2yJ2PgSs8ivQ1ORvqbJLXssBFNKxcZsVbE?=
 =?us-ascii?Q?5z8TQDJuW4Vvv9/NWzoNE8HfhpVL4+ACmbVPa3lftmxedk2RMo9xQebh/SwW?=
 =?us-ascii?Q?GpZH8jFOIo4iINd9fla6qwvw6BfSMe6KmMLld75ZZNYRAv29OfZYIs6A7w4I?=
 =?us-ascii?Q?eNE5BvGuK8+jjWp7LBhEdBJaE5t4u+DJiuko19FTEHe5bmGTltop2mPKdjUN?=
 =?us-ascii?Q?y2ORIjRUsASl0bK385QcVYNvpMvqiHyECzAZTYS8JVqaUHVM5I13Mo2vYN4A?=
 =?us-ascii?Q?MHOEuOCyzmWoXpgqfWqxZYDIQskMXe0pLOYMydgO2hYPOFJ8RzLU/kr+OaIa?=
 =?us-ascii?Q?GB9NdZEK89RGy7MCWkW72yBrbbPyvGNn9Z0COPPF+FvLfQ=3D=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-89723.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: b9ef2aaa-e796-4490-87a1-08dac75d6a30
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR06MB8609.namprd06.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 15 Nov 2022 23:02:05.9265 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SJ0PR06MB8474
Received-SPF: pass client-ip=40.92.47.70; envelope-from=gabriel376@HIDDEN;
 helo=NAM04-BN8-obe.outbound.protection.outlook.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

James Ferguson <james@HIDDEN> writes:
>
> Changing the selected frame 'default face size with "<family>-<size>"
> results in a tab bar with a lot of vertical space padding,  It also
> doesn't redisplay it properly with redrawing if you move the mouse over
> the tab bar, or if you switch tabs.
>
> As far as I can tell for the life of the frame.  This, I believe, is new since 28.x.
>
> I see it with `emacs -q`.
>
> e.g.:
>
> (tab-bar-mode)
> (set-frame-parameter (selected-frame)
>                      'font
>                      (format "%s-18" (face-attribute 'default :family)))
>
> Thanks!
>

Related (and potential duplicated) to bug#59271.

---
Gabriel




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59285; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Nov 2022 16:08:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 11:08:30 2022
Received: from localhost ([127.0.0.1]:55095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouyU9-00071n-RS
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 11:08:30 -0500
Received: from lists.gnu.org ([209.51.188.17]:51146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wjcferguson@HIDDEN>) id 1ouyU4-00071d-Ax
 for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 11:08:27 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <wjcferguson@HIDDEN>)
 id 1ouyTX-00033N-G6
 for bug-gnu-emacs@HIDDEN; Tue, 15 Nov 2022 11:08:06 -0500
Received: from mail-ej1-f50.google.com ([209.85.218.50])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <wjcferguson@HIDDEN>)
 id 1ouyTQ-0005fM-Ts
 for bug-gnu-emacs@HIDDEN; Tue, 15 Nov 2022 11:07:49 -0500
Received: by mail-ej1-f50.google.com with SMTP id bj12so37127093ejb.13
 for <bug-gnu-emacs@HIDDEN>; Tue, 15 Nov 2022 08:07:40 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=ayVR+zXKenu8ZRtUFjLBmErl3mk0nzrr8QEBWOhXNN0=;
 b=nasTYrD0liQ7e1RE5ettrWJm7vzgPPC44u5UeKaQeRgCIJ+Lju0sGmGYSzO4s+yze7
 LrnWS4pINI1gcftSxnPdTYlK2i96ckBR/7RYpN39deuaLNMMPTtG4tviTWJUOZ4SygKS
 GwE2dPe8sNXO8uCQWVUfC6EvzrGI9z39BfFD6usqgyoyKFcHpeqk/XkywLwTQ9mH4p7h
 J/Ta1pjdD+qU8pnk06HBEW79rNXIKfHCCkDwPqHRfBi7ZFlxCP0gutPdefriVIHacMy7
 ivKTCq6whiZ6cguPUCD9ku2NiFpiRZI1dAVU72SDkRU+3Ki7lSuCXlnqvWEaJvfXRNpT
 wQAA==
X-Gm-Message-State: ANoB5pmlr7/8k7G11v8MbgWmfjCABO+Gh/XE6bWm6LJ/ByIs6F3K5Lk+
 LpxRGT3CnrcdR2susYPRouw2UwLvDnkw95aZZdTRVdnJfug=
X-Google-Smtp-Source: AA0mqf7cuMwc2h3ssqYMmyl6clzfYXHwiNQHCQq/Y+t7t3sOQSNWcRX+TO89q1rfPhnSqLrDWjrrxNqpnAALqZ0QUuo=
X-Received: by 2002:a17:906:824e:b0:7ae:77ef:d048 with SMTP id
 f14-20020a170906824e00b007ae77efd048mr14900426ejx.740.1668528458564; Tue, 15
 Nov 2022 08:07:38 -0800 (PST)
MIME-Version: 1.0
From: James Ferguson <james@HIDDEN>
Date: Tue, 15 Nov 2022 11:07:26 -0500
Message-ID: <CAMtGdSkuTW9zk7ASFiTD-oYunF+C0p4CXzyVXzxe-KwxQHtvVg@HIDDEN>
Subject: 29.0.50; Setting default font as frame parameter upsets tab-bar
 display height
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="00000000000012091705ed848e8d"
Received-SPF: pass client-ip=209.85.218.50; envelope-from=wjcferguson@HIDDEN;
 helo=mail-ej1-f50.google.com
X-Spam_score_int: -15
X-Spam_score: -1.6
X-Spam_bar: -
X-Spam_report: (-1.6 / 5.0 requ) BAYES_00=-1.9,
 FREEMAIL_FORGED_FROMDOMAIN=0.001, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--00000000000012091705ed848e8d
Content-Type: text/plain; charset="UTF-8"

Changing the selected frame 'default face size with "<family>-<size>"
results in a tab bar with a lot of vertical space padding,  It also
doesn't redisplay it properly with redrawing if you move the mouse over
the tab bar, or if you switch tabs.

As far as I can tell for the life of the frame.  This, I believe, is new
since 28.x.

I see it with `emacs -q`.

e.g.:

(tab-bar-mode)
(set-frame-parameter (selected-frame)
                     'font
                     (format "%s-18" (face-attribute 'default :family)))

Thanks!

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.20, cairo version 1.16.0) of 2022-11-14 built on jf-laptop
Repository revision: 723ceaca1d71850aed75431a503f8616cab8c103
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
System Description: Ubuntu 20.04.5 LTS

Configured using:
 'configure --with-native-compilation'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF
TOOLKIT_SCROLL_BARS X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  tab-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils time-date cl-loaddefs
comp comp-cstr warnings icons subr-x rx cl-seq cl-macs gv cl-extra
help-mode bytecomp byte-compile cl-lib rmc iso-transl tooltip cconv
eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type
elisp-mode mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow
isearch easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit xinput2 x multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 80043 7606)
 (symbols 48 7263 0)
 (strings 32 20000 1793)
 (string-bytes 1 624836)
 (vectors 16 15858)
 (vector-slots 8 330827 12698)
 (floats 8 39 43)
 (intervals 56 449 138)
 (buffers 984 13))

--00000000000012091705ed848e8d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><br>Changing the selected frame &#39;default face siz=
e with &quot;&lt;family&gt;-&lt;size&gt;&quot;<br>results in a tab bar with=
 a lot of vertical space padding, =C2=A0It also<br>doesn&#39;t redisplay it=
 properly with redrawing if you move the mouse over<br>the tab bar, or if y=
ou switch tabs.<br><br>As far as I can tell for the life of the frame.=C2=
=A0 This, I believe, is new since 28.x.<br><br>I see it with `emacs -q`.<br=
><br>e.g.:<br><br>(tab-bar-mode)<br>(set-frame-parameter (selected-frame)<b=
r>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0&#39;font<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0(format &quot;%s-18&quot; (face-attribute &#39;default :fa=
mily)))<br><br></div>Thanks!<br><div><br>In GNU Emacs 29.0.50 (build 1, x86=
_64-pc-linux-gnu, GTK+ Version<br>=C2=A03.24.20, cairo version 1.16.0) of 2=
022-11-14 built on jf-laptop<br>Repository revision: 723ceaca1d71850aed7543=
1a503f8616cab8c103<br>Repository branch: master<br>Windowing system distrib=
utor &#39;The X.Org Foundation&#39;, version 11.0.12013000<br>System Descri=
ption: Ubuntu 20.04.5 LTS<br><br>Configured using:<br>=C2=A0&#39;configure =
--with-native-compilation&#39;<br><br>Configured features:<br>ACL CAIRO DBU=
S FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG<br>JSON LCMS2 LI=
BOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES<br>NATIVE_COMP NOTIFY I=
NOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF<br>TOOLKIT_SCROLL_BARS X=
11 XDBE XIM XINPUT2 XPM GTK3 ZLIB<br><br>Important settings:<br>=C2=A0 valu=
e of $LANG: en_US.UTF-8<br>=C2=A0 value of $XMODIFIERS: @im=3Dibus<br>=C2=
=A0 locale-coding-system: utf-8-unix<br><br>Major mode: Lisp Interaction<br=
><br>Minor modes in effect:<br>=C2=A0 tooltip-mode: t<br>=C2=A0 global-eldo=
c-mode: t<br>=C2=A0 eldoc-mode: t<br>=C2=A0 show-paren-mode: t<br>=C2=A0 el=
ectric-indent-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode=
: t<br>=C2=A0 tab-bar-mode: t<br>=C2=A0 menu-bar-mode: t<br>=C2=A0 file-nam=
e-shadow-mode: t<br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 font-lock-mod=
e: t<br>=C2=A0 blink-cursor-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0=
 indent-tabs-mode: t<br>=C2=A0 transient-mark-mode: t<br>=C2=A0 auto-compos=
ition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-compression-=
mode: t<br><br>Load-path shadows:<br>None found.<br><br>Features:<br>(shado=
w sort mail-extr emacsbug message mailcap yank-media puny dired<br>dired-lo=
addefs rfc822 mml mml-sec password-cache epa derived epg rfc6068<br>epg-con=
fig gnus-util text-property-search mm-decode mm-bodies mm-encode<br>mail-pa=
rse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047<br>rfc2045 iet=
f-drums mm-util mail-prsvr mail-utils time-date cl-loaddefs<br>comp comp-cs=
tr warnings icons subr-x rx cl-seq cl-macs gv cl-extra<br>help-mode bytecom=
p byte-compile cl-lib rmc iso-transl tooltip cconv<br>eldoc paren electric =
uniquify ediff-hook vc-hooks lisp-float-type<br>elisp-mode mwheel term/x-wi=
n x-win term/common-win x-dnd tool-bar dnd<br>fontset image regexp-opt frin=
ge tabulated-list replace newcomment<br>text-mode lisp-mode prog-mode regis=
ter page tab-bar menu-bar rfn-eshadow<br>isearch easymenu timer select scro=
ll-bar mouse jit-lock font-lock syntax<br>font-core term/tty-colors frame m=
inibuffer nadvice seq simple cl-generic<br>indonesian philippine cham georg=
ian utf-8-lang misc-lang vietnamese<br>tibetan thai tai-viet lao korean jap=
anese eucjp-ms cp51932 hebrew greek<br>romanian slovak czech european ethio=
pic indian cyrillic chinese<br>composite emoji-zwj charscript charprop case=
-table epa-hook<br>jka-cmpr-hook help abbrev obarray oclosure cl-preloaded =
button loaddefs<br>theme-loaddefs faces cus-face macroexp files window text=
-properties<br>overlay sha1 md5 base64 format env code-pages mule custom wi=
dget keymap<br>hashtable-print-readable backquote threads dbusbind inotify =
lcms2<br>dynamic-setting system-font-setting font-render-setting cairo<br>m=
ove-toolbar gtk x-toolkit xinput2 x multi-tty make-network-process<br>nativ=
e-compile emacs)<br><br>Memory information:<br>((conses 16 80043 7606)<br>=
=C2=A0(symbols 48 7263 0)<br>=C2=A0(strings 32 20000 1793)<br>=C2=A0(string=
-bytes 1 624836)<br>=C2=A0(vectors 16 15858)<br>=C2=A0(vector-slots 8 33082=
7 12698)<br>=C2=A0(floats 8 39 43)<br>=C2=A0(intervals 56 449 138)<br>=C2=
=A0(buffers 984 13))<br></div></div>

--00000000000012091705ed848e8d--




Acknowledgement sent to James Ferguson <james@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#59285; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 24 Nov 2022 18:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.